.pI_top{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;	
    display: block;	
    
}
.pIT_right{
    margin-top: clamp(.625rem,1.0417vw,1.25rem);
    width: 100%;  /* modify by peggy 20250513 */
    
}
.pIT_right .en{
    font-size: 1rem; 
    line-height: 1.5;
    color: #818181;
    font-family: var(--foreign_foreign);
    
}